Skip to main content
`Ctrl`+`K`

# KSPSetComputeRitz

Sets a flag so that the Ritz or harmonic Ritz pairs will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetComputeRitz(KSP ksp, PetscBool flg)

Logically Collective

## Input Parameters

- ksp - iterative solver obtained from `KSPCreate()`

- flg - `PETSC_TRUE` or `PETSC_FALSE`

## Note

Currently this option is only valid for the `KSPGMRES` method.

## See Also

KSP: Linear System Solvers, `KSPComputeRitz()`, `KSP`, `KSPComputeEigenvalues()`, `KSPComputeExtremeSingularValues()`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages